import request from '@/utils/httpRequest'

export default class KlgBaseQuestionsService {
  list (params) {
    return request({
      url: '/klg/questions/list',
      method: 'get',
      params: params
    })
  }
  listFocus (params) {
    return request({
      url: '/klg/questions/list_focus',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/klg/questions/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/klg/questions/save`,
      method: 'post',
      data: inputForm
    })
  }
  saveForm (inputForm) {
    return request({
      url: `/klg/questions/saveForm`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/klg/questions/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  updateStatusById (data) {
    return request({
      url: '/klg/questions/updateStatusById',
      method: 'post',
      data: data
    })
  }
  focusByIds (ids) {
    return request({
      url: '/klg/questions/focusByIds',
      method: 'get',
      params: {ids: ids}
    })
  }
}
